-- 1.5.0
USE `stmms_ft`;
INSERT INTO `b_sys_config` (`id`, `type`, `description`, `update_time`)
VALUES (4, 'STUDENT_SHEET_COUNT', null, '2021-08-09 15:38:58');

ALTER TABLE eb_mark_group ADD COLUMN `arbitrate_type`      varchar(16)  DEFAULT NULL COMMENT '仲裁方式';
ALTER TABLE eb_exam_question ADD COLUMN `arbitrate_threshold` double    DEFAULT NULL COMMENT '仲裁阈值';
ALTER TABLE m_arbitrate_history ADD COLUMN `question_index` text        DEFAULT NULL COMMENT '题目序号';

update eb_mark_group set arbitrate_type='GROUP' where double_rate is not null and double_rate>0;
ALTER TABLE  eb_exam_subject MODIFY COLUMN `inspect_round` 	INT (11) NOT NULL DEFAULT 1 COMMENT '复核轮数';

DROP TABLE IF EXISTS `s_basic_subject_range`;
CREATE TABLE `s_basic_subject_range`
(
    `id`                   int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
    `exam_id`              int(11)     DEFAULT NULL COMMENT '考试ID',
    `subject_code`         varchar(32) DEFAULT NULL COMMENT '科目代码',
    `subject_name`         varchar(32) DEFAULT NULL COMMENT '科目名称',
    `reality_count`        int(11)     DEFAULT NULL COMMENT '有效人数',
    `objective_score`      double      DEFAULT NULL COMMENT '客观题分',
    `total_count`          int(11)     DEFAULT NULL COMMENT '总人数',
    `objective_score_range` text 	   DEFAULT NULL COMMENT '分数分布',
    PRIMARY KEY (`id`),
    KEY `index1` (`exam_id`, `subject_code`)
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8mb4 COMMENT ='科目客观题分段统计表';
